package system

import (
	"spaceofcheng/services/models/model"
	"spaceofcheng/services/utils"

	"github.com/go-xorm/xorm"
)

// CaseDAO 当前数据库操作对象
type CaseDAO struct {
	ctx *utils.Context
	db  *xorm.Session
}

// NewCaseDAO New Inst
func NewCaseDAO(ctx *utils.Context) *CaseDAO {
	return &CaseDAO{
		ctx: ctx,
		db:  ctx.DB,
	}
}

// GetCaseByID 根据ID获取案场信息
func (m *CaseDAO) GetCaseByID(caseid string) (*model.SysCase, error) {
	var cases []model.SysCase
	err := m.db.Where("case_id=?", caseid).Find(&cases)
	if err != nil {
		return nil, err
	}
	if len(cases) > 0 {
		return &cases[0], nil
	}
	return nil, nil
}
